<%@ include file="header.jsp"%>
<%@ page import="java.util.*"%>

<%
	Map params = (Map)request.getAttribute("params");
	int externalPort = ((Integer)params.get("externalPort")).intValue();
	int xmlTcpPort = ((Integer)params.get("xmlTcpPort")).intValue();
	int xmlUdpPort = ((Integer)params.get("xmlUdpPort")).intValue();
	boolean xmlTcpEnabled = ((Boolean)params.get("xmlTcpEnabled")).booleanValue();
	boolean xmlUdpEnabled = ((Boolean)params.get("xmlUdpEnabled")).booleanValue();
%>

<ul id="menu">
	<li class="sel">Connectivity</li>
	<li><a href="/databaseTab">Database</a></li>
	<li><a href="/contextTab">Context</a></li>
	<li><a href="/emailTab">Email</a></li>
	<li><a href="/notificationsTab">Notifications</a></li>
	<li><a href="/licenseTab">License</a></li>
	<li><a href="/statusTab">Status</a></li>
	<li class="icon"><img class="subject" title='Modify trigger'
		src='images/connectivity.png' /></li>
</ul>

<div id="content">
<div id="main">

<form action="updateConnectivity">
<table>
	<tr>
		<td colspan="3">
		<div class="caption">Clients</div>
		This is where logFaces clients get connected for working with server.
		This is an HTTP port, make sure that your network configuration will
		allow remote client connect to the server using this port.</td>
	</tr>

	<tr>
		<td align="right">Port number :</td>
		<td align="center" colspan="2"><input name="externalPort"
			value="<%=externalPort%>" /> (restart required if modified)</td>
	</tr>

	<tr>
		<td colspan="3"><br>
		<div class="caption">Application ports</div>
		Those ports allow logFaces server to listen to the back end
		applications. This is done by means of log4j Receivers which are
		available here in two flavors.</td>
	</tr>

	<tr>
		<td>TCP port number :</td>
		<td colspan="2"><input name="xmlTcpPort" value="<%=xmlTcpPort%>" />
		Enabled: <input name="xmlTcpEnabled" type="checkbox"
			<%if(xmlTcpEnabled){%> checked="checked" <%}%> /></td>
	</tr>
	<tr>
		<td>UDP port number :</td>
		<td colspan="2"><input name="xmlUdpPort" value="<%=xmlUdpPort%>" />
		Enabled: <input name="xmlUdpEnabled" type="checkbox"
			<%if(xmlUdpEnabled){%> checked="checked" <%}%> /></td>
	</tr>
</table>
<br>
<div align="center"><input type="submit" value="Save changes" /></div>
</form>

</div>
<!--end main DIV --></div>
<!--end content DIV -->
<%@ include file="footer.jsp"%>