<%@ include file="header.jsp"%>
<%@ page import="java.util.*"%>
<%@ page import="com.moonlit.logfaces.server.vo.*"%>

<%
	Map params = (Map)request.getAttribute("params");
	FilterEntryVO[] filters = (FilterEntryVO[])params.get("filters");
	boolean multiDayDatabase = (Boolean)params.get("multiDayDatabase");
	long capacity = ((Long)params.get("capacity")).intValue();
%>

<ul id="menu">
	<li><a href="/connectivityTab">Connectivity</a></li>
	<li class="sel">Database</li>
	<li><a href="/contextTab">Context</a></li>
	<li><a href="/emailTab">Email</a></li>
	<li><a href="/notificationsTab">Notifications</a></li>
	<li><a href="/licenseTab">License</a></li>
	<li><a href="/statusTab">Status</a></li>
	<li class="icon"><img class="subject" title='Modify trigger'
		src='images/database.png' /></li>
</ul>

<div id="content">
<div id="main">

<table>
	<tr>
		<td>
		<div class="caption">Capacity</div>
		Database capacity is maintained according to the number of days you
		specify here. As time moving and new records are committed, the older
		records will be removed so that no more that specified number of days
		of data is available at any given moment.</td>
	</tr>

	<tr>
		<td align="center">
		<form action="updateDatabase"><select name="capacity"
			<%if(!multiDayDatabase){%> disabled <%}%>>
			<option <%if(capacity == 0){%> selected="selected" <%}%>>None
			<option <%if(capacity == 1){%> selected="selected" <%}%>>1
			Day
			<option <%if(capacity == 2){%> selected="selected" <%}%>>2
			Days
			<option <%if(capacity == 3){%> selected="selected" <%}%>>3
			Days
			<option <%if(capacity == 4){%> selected="selected" <%}%>>4
			Days
			<option <%if(capacity == 5){%> selected="selected" <%}%>>5
			Days
			<option <%if(capacity == 6){%> selected="selected" <%}%>>6
			Days
			<option <%if(capacity == 7){%> selected="selected" <%}%>>1
			Week
			<option <%if(capacity == 14){%> selected="selected" <%}%>>2
			Weeks
			<option <%if(capacity == 21){%> selected="selected" <%}%>>3
			Weeks
			<option <%if(capacity == 31){%> selected="selected" <%}%>>1
			Month
			<option <%if(capacity == 62){%> selected="selected" <%}%>>2
			Months
			<option <%if(capacity == 93){%> selected="selected" <%}%>>3
			Months
			<option <%if(capacity == 186){%> selected="selected" <%}%>>6
			Months
			<option <%if(capacity == 365){%> selected="selected" <%}%>>1
			Year
			<option <%if(capacity == -1){%> selected="selected" <%}%>>Unlimited
			
		</select> <input type="submit" value="Update capacity">
		</div>
		</form>

		</td>
	</tr>

	<tr>
		<td><br>
		<div class="caption">Filters</div>
		Filters control what is stored in database and what is ignored.<br>
		Settings are applied immediately, no restart required.<br>
		<br>
		<u>If no INCLUDE filters specified, nothing will be saved into
		database.<u></td>
	</tr>

	<tr>
		<td>
		<table class="listing">
			<thead>
				<tr>
					<th>Type</th>
					<th>Severity</th>
					<th>Thrown</th>
					<th>Domains</th>
					<th>Loggers</th>
					<th>Hosts</th>
					<th>Regex</th>
					<th><b><a href="/addFilter">Add filter</a></b></th>
				</tr>
			</thead>

			<%for(FilterEntryVO filter : filters){
							// trim to fit the table nicely
							String app = filter.getApplication();
							if(app != null && app.length() > 20)
								app = app.substring(0, 17) + "...";
							String logger = filter.getLogger();
							if(logger != null && logger.length() > 20)
								logger = logger.substring(0, 17) + "...";
							String host = filter.getHostsCsv();
							if(host != null && host.length() > 20)
								host = host.substring(0, 17) + "...";
							String regex = filter.getRegex();
							if(regex != null && regex.length() > 20)
								regex = regex.substring(0, 17) + "...";
						%>
			<tr>
				<td><%=filter.isExcluder()?"<img src='images/exclude.gif'/>":"<img src='images/include.gif'/>"%>

				</td>

				<td><%=filter.getSeverityStr()%></td>
				<td><%=filter.isThrown()%></td>
				<td><%=app%></td>
				<td><%=logger%></td>
				<td><%=host%></td>
				<td><%=regex%></td>
				<td><a href="/filter?id=<%=filter.getId()%>"><img
					title='Modify filter' src='images/edit.gif' /></a> <a
					href="/removeFilter?id=<%=filter.getId()%>"><img
					title='Remove filter' src='images/close.gif' /></a></td>
			</tr>
			<%}%>
		</table>
		</td>
	</tr>
</table>

</div>
<!--end main DIV --></div>
<!--end content DIV -->
<%@ include file="footer.jsp"%>