<%@ include file="header.jsp"%>
<%@ page import="java.util.*"%>

<%
	Map params = (Map)request.getAttribute("params");
	String msg = (String)request.getSession().getAttribute("licenseInstallMessage");
	String maint = (String)params.get("maintPeriod");
%>

<ul id="menu">
	<li><a href="/connectivityTab">Connectivity</a></li>
	<li><a href="/databaseTab">Database</a></li>
	<li><a href="/contextTab">Context</a></li>
	<li><a href="/emailTab">Email</a></li>
	<li><a href="/notificationsTab">Notifications</a></li>
	<li class="sel">License</li>
	<li><a href="/statusTab">Status</a></li>
	<li class="icon"><img class="subject" title='Modify trigger'
		src='images/license.png' /></li>
</ul>

<div id="content">
<div id="main">

<table width="95%" align="center" cellspacing="4" cellpadding="4">
	<tr>
		<td>
		<div class="caption">Current License</div>
		</td>
	</tr>

	<tr>
		<td>
		<table class="listing">
			<tr>
				<td align="right">License type</td>
				<td><b><%=params.get("licenseType")%></b></td>
			</tr>
			<tr>
				<td align="right">License ID</td>
				<td><%=params.get("licenseID")%></td>
			</tr>
			<tr>
				<td align="right">Issued for</td>
				<td><%=params.get("licenseHolder")%></td>
			</tr>
			<tr>
				<td align="right">Valid since</td>
				<td><%=params.get("validSince")%></td>
			</tr>
			<tr>
				<td align="right">Valid until</td>
				<td><%=params.get("validUntil")%></td>
			</tr>

			<%if(maint != null){%>
			<tr>
				<td align="right">Maintenance period</td>
				<td><%=params.get("maintPeriod")%></td>
			</tr>
			<%}%>

			<tr>
				<td align="right">Max. applications</td>
				<td><%=params.get("nofApplications")%></td>
			</tr>
			<tr>
				<td align="right">Max. clients</td>
				<td><%=params.get("nofClients")%></td>
			</tr>
		</table>
		</td>
	</tr>

	<tr>
		<td><br>
		<div class="caption">Install License</div>
		<br>
		Select license file from your local disk and click <b>Install</b>
		button:</td>
	</tr>

	<td align="center" colspan="3" rowspan="3">
	<form action="licenseInstall" method="post"
		enctype="multipart/form-data"><input type="file"
		name="licenseData"> <input type="submit" value="Install" /></form>
	</td>

</table>

</div>
<!--end main DIV --></div>
<!--end content DIV -->

<%@ include file="footer.jsp"%>