CREATE TABLE lfs_log(event_id BIGINT GENERATED ALWAYS AS IDENTITY PRIMARY KEY,loggerTimeStamp BIGINT,loggerName VARCHAR(255),hostName VARCHAR(48),domainName VARCHAR(48),loggerLevel INTEGER,ndc VARCHAR(128),thrown SMALLINT,message VARCHAR(1000),mdc1 VARCHAR(100),mdc2 VARCHAR(100),mdc3 VARCHAR(100),mdc4 VARCHAR(100),mdc5 VARCHAR(100), locLineNumber VARCHAR(16),locFileName VARCHAR(48),locClassName VARCHAR(128),locMethodName VARCHAR(64),sequenceNumber BIGINT,threadName VARCHAR(128),throwableInfo VARCHAR(1000))
CREATE TABLE lfs_repo(db_id BIGINT GENERATED ALWAYS AS IDENTITY PRIMARY KEY,domainName VARCHAR(80),hostName VARCHAR(100),loggerName VARCHAR(150))
CREATE INDEX lfsa1 on lfs_log (loggerTimeStamp, loggerLevel, thrown, domainName, hostName, loggerName)
CREATE INDEX lfsd1 on lfs_log (loggerTimeStamp DESC, loggerLevel, thrown, domainName, hostName, loggerName)