CREATE TABLE lfs_log (event_id NUMBER(19,0) NOT NULL, loggerTimeStamp NUMBER(19,0), loggerName VARCHAR2(255), hostName VARCHAR2(48), domainName VARCHAR2(48), loggerLevel NUMBER(10,0), ndc VARCHAR2(128), thrown NUMBER(1,0), message CLOB, mdc1 VARCHAR2(100),mdc2 VARCHAR2(100),mdc3 VARCHAR2(100),mdc4 VARCHAR2(100),mdc5 VARCHAR2(100), locLineNumber VARCHAR2(16), locFileName VARCHAR2(48), locClassName VARCHAR2(128), locMethodName VARCHAR2(64), sequenceNumber NUMBER(19,0), threadName VARCHAR2(128), throwableInfo CLOB, PRIMARY KEY (EVENT_ID))
CREATE TABLE lfs_repo (db_id NUMBER(19,0) NOT NULL, domainName VARCHAR2(80), hostName VARCHAR2(100), loggerName VARCHAR2(150), PRIMARY KEY (db_id))
CREATE SEQUENCE lfs_seq
CREATE INDEX lfsa1 ON lfs_log (loggerTimeStamp, loggerLevel, thrown, domainName, loggerName, hostName)
CREATE INDEX lfsd1 ON lfs_log (loggerTimeStamp DESC, loggerLevel, thrown, domainName, loggerName, hostName)