<%@ include file="header.jsp"%>
<%@ page import="java.util.*"%>

<%
	Map params = (Map)request.getAttribute("params");
	List<String> mdcNames = (List<String>)params.get("mdcNames");
%>

<ul id="menu">
	<li><a href="/connectivityTab">Connectivity</a></li>
	<li><a href="/databaseTab">Database</a></li>
	<li class="sel">Context</a></li>
	<li><a href="/emailTab">Email</a></li>
	<li><a href="/notificationsTab">Notifications</a></li>
	<li><a href="/licenseTab">License</a></li>
	<li><a href="/statusTab">Status</a></li>
	<li class="icon"><img class="subject" title='Modify trigger'
		src='images/context.png' /></li>
</ul>

<div id="content">
<div id="main">
<table border="0" width="95%" align="center" cellspacing="4"
	cellpadding="4">
	<tr>
		<td>
		<div class="caption">Mapped Diagnostic Context</div>
		Here you can map your application MDC names with logFaces server. At
		run time, the server will look for those properties in logging events
		and automatically map them to corresponding database columns. Those
		names will also appear on client for doing real-time filtering and
		database queries.</td>
	</tr>

	<tr>
		<td>
		<form action="updateContext">
		<table class="listing">
			<thead>
				<tr>
					<th>MDC names emitted by your applications</th>
				</tr>
			</thead>

			<%for(int i=1; i<=mdcNames.size(); i++){ %>
			<tr>
				<td align="center"><input name="mdc<%=i%>"
					value="<%=mdcNames.get(i-1)%>" size="50" /></td>
			</tr>
			<%} %>

		</table>
		<br>
		<div align="center"><input type="submit" value="Save changes" /></div>
		</form>
		</td>
	</tr>
</table>

</div>
<!--end main DIV --></div>
<!--end content DIV -->
<%@ include file="footer.jsp"%>