<%@ include file="header.jsp"%>
<%@ page import="java.util.*"%>
<%@ page import="com.moonlit.logfaces.server.vo.FilterEntryVO"%>

<%
	Map params = (Map)request.getAttribute("params");
	String title = (String)params.get("title");
	String oncancel = (String)params.get("oncancel");
	FilterEntryVO filter = (FilterEntryVO)params.get("filter");
	String hosts = filter.getHostsCsv();
	if(hosts == null)
		hosts = "*";
%>

<ul id="menu">
	<li><%=title%></li>
	<li class="icon"><img class="subject" title='filter'
		src='images/filter.png' /></li>
</ul>

<div id="content">
<div id="main">

<form action="updateFilter">
<table border="0" width="95%" align="center" cellspacing="4"
	cellpadding="4">
	<tr>
		<td>
		<table class="listing">
			<thead>
				<tr>
					<th>Field</th>
					<th>Value</th>
					<th>Description</th>
				</tr>
			</thead>

			<tr>
				<td>Type</td>
				<td><select name="type">
					<option <%if(!filter.isExcluder()){%> selected="selected" <%}%>>INCLUDE
					<option <%if(filter.isExcluder()){%> selected="selected" <%}%>>EXCLUDE
					
				</select></td>
				<td><b>Include</b> filter will trap any event matching the rest
				of fields while <b>Exclude</b> filter will explicitly ignore the
				events matching the fields.</td>
			</tr>

			<tr>
				<td>Severity</td>
				<td><select name="severity">
					<option <%if(filter.getSeverityStr().equals("ALL")){%>
						selected="selected" <%}%>>ALL
					<option <%if(filter.getSeverityStr().equals("TRACE")){%>
						selected="selected" <%}%>>TRACE
					<option <%if(filter.getSeverityStr().equals("DEBUG")){%>
						selected="selected" <%}%>>DEBUG
					<option <%if(filter.getSeverityStr().equals("INFO")){%>
						selected="selected" <%}%>>INFO
					<option <%if(filter.getSeverityStr().equals("WARN")){%>
						selected="selected" <%}%>>WARN
					<option <%if(filter.getSeverityStr().equals("ERROR")){%>
						selected="selected" <%}%>>ERROR
					<option <%if(filter.getSeverityStr().equals("FATAL")){%>
						selected="selected" <%}%>>FATAL
					<option <%if(filter.getSeverityStr().equals("OFF")){%>
						selected="selected" <%}%>>OFF
				</select></td>
				<td><b>Include</b> filter will trap events with this of higher
				severity. <b>Exclude</b> filter will explicitly ignore the events
				with lower severity only.</td>
			</tr>

			<tr>
				<td>Domains</td>
				<td><input value='<%=filter.getApplication()%>' name="domains"></input>
				</td>
				<td>Application names to match, use * for wild card matching</td>
			</tr>

			<tr>
				<td>Loggers</td>
				<td><input value='<%=filter.getLogger()%>' name="loggers"></input></td>
				<td>Logger names to match, use * for wild card matching.</td>
			</tr>

			<tr>
				<td>Hosts</td>
				<td><input value='<%=hosts%>' name="hosts"></input></td>
				<td>Origin host name to match, use * for all or comma separated
				list for few.</td>
			</tr>

			<tr>
				<td>Message</td>
				<td><input name="regex" value='<%=filter.getRegex()%>'></input></td>
				<td>Log message regular expression pattern</td>
			</tr>

			<tr>
				<td>Thrown</td>
				<td><input name="onlythrown" type="checkbox"
					<%if(filter.isThrown()){%> checked="checked" <%}%> /></td>
				<td>When selected, only thrown exceptions will be trapped or
				ignored depending on filter type.</td>
			</tr>

		</table>
		</td>
	</tr>

</table>
<div align="center"><br>
<input type="submit" value="Save changes" /> <input type="reset"
	value="Undo changes"> <input type="button" value="Cancel"
	onclick="window.location = '<%=oncancel%>' " /></div>
</form>

</div>
<!--end main DIV --></div>
<!--end content DIV -->

<%@ include file="footer.jsp"%>