<%@ include file="header.jsp"%>
<%@ page import="java.util.*"%>

<%
	Map params = (Map)request.getAttribute("params");
	String title = (String)params.get("title");
	String oncancel = (String)params.get("oncancel");
	double sizeInHours = (Double)params.get("sizeInHours");
	String level = (String)params.get("level");
	boolean onlyThrown = ((Boolean)params.get("onlyThrown"));
	String matchDomains = (String)params.get("matchDomains");
	String matchHosts = (String)params.get("matchHosts");
	String matchLoggers = (String)params.get("matchLoggers");
	String matchMessage = (String)params.get("matchMessage");
%>

<ul id="menu">
	<li><%=title%></li>
	<li class="icon"><img class="subject" title='query'
		src='images/report.png' /></li>
</ul>

<div id="content">
<div id="main">

<form action="updateQuery">
<table border="0" width="95%" align="center" cellspacing="4"
	cellpadding="4">
	<tr>
		<td>
		<table class="listing">
			<tr>
				<td>Time range to cover</td>
				<td><input name="sizeInHours" value='<%=sizeInHours%>'></input>
				</td>
				<td>Hours to cover since trigger time (0.5 is half an hour,
				etc)</td>
			</tr>

			<tr>
				<td>Severity</td>
				<td><select name="level">
					<option <%if(level.equals("ALL")){%> selected="selected" <%}%>>ALL
					<option <%if(level.equals("TRACE")){%> selected="selected" <%}%>>TRACE
					<option <%if(level.equals("DEBUG")){%> selected="selected" <%}%>>DEBUG
					<option <%if(level.equals("INFO")){%> selected="selected" <%}%>>INFO
					<option <%if(level.equals("WARN")){%> selected="selected" <%}%>>WARN
					<option <%if(level.equals("ERROR")){%> selected="selected" <%}%>>ERROR
					<option <%if(level.equals("FATAL")){%> selected="selected" <%}%>>FATAL
					
				</select></td>
				<td>Include log with severities higher or equal to the one
				specified</td>
			</tr>

			<tr>
				<td>Domain list</td>
				<td><input name="matchDomains" value='<%=matchDomains%>'></input>
				</td>
				<td>Include these domains (empty=all, use comma for few)</td>
			</tr>

			<tr>
				<td>Host list</td>
				<td><input name="matchHosts" value='<%=matchHosts%>'></input></td>
				<td>Include these hosts (empty=all, use comma for few)</td>
			</tr>

			<tr>
				<td>Match loggers</td>
				<td><input name="matchLoggers" value='<%=matchLoggers%>'></input></td>
				<td>Include these loggers (empty=all, wildcards allowed)</td>
			</tr>

			<tr>
				<td>Math messages</td>
				<td><input name="matchMessage" value='<%=matchMessage%>'></input></td>
				<td>Only include events matching this text (empty=ignore)</td>
			</tr>

			<tr>
				<td>Thrown</td>
				<td><input name="onlyThrown" type="checkbox"
					<%if(onlyThrown){%> checked="checked" <%}%> /></td>
				<td>Only include log coming from thrown exceptions</td>
			</tr>

		</table>
		</td>
	</tr>

</table>
<div align="center"><br>
<input type="submit" value="Save changes" /> <input type="reset"
	value="Undo changes"> <input type="button" value="Cancel"
	onclick="window.location = '<%=oncancel%>' " /></div>
</form>

</div>
<!--end main DIV --></div>
<!--end content DIV -->

<%@ include file="footer.jsp"%>