<%@ include file="header.jsp" %>
<%@ page import="java.util.*" %>

<%
	Map params = (Map)request.getAttribute("params");
	String name = (String)params.get("name");
	String cron = (String)params.get("cron");
	boolean enabled = (Boolean)params.get("enabled");
	String sizeInHours = (Double)params.get("sizeInHours") + " hour/s";
	String level = (String)params.get("level");
	boolean onlyThrown = ((Boolean)params.get("onlyThrown"));
	String matchDomains = (String)params.get("matchDomains");
	String matchHosts = (String)params.get("matchHosts");
	String matchLoggers = (String)params.get("matchLoggers");
	String matchMessage = (String)params.get("matchMessage");
	String mailTo = (String)params.get("mailTo");
	String mailDescription = (String)params.get("mailDescription");
	String mailPriority = (String)params.get("mailPriority");
	int zipLimit = (Integer)params.get("zipLimit");
	String layoutFormat = (String)params.get("layoutFormat");
%>

	<ul id="menu">
		<li>REPORT SETTINGS</li>
		<li class="icon"><img class="subject" title='report' src='images/report.png'/></li>
	</ul>

	<div id="content">		
		<div id="main">
	    	<form action="updateReport">
	    	
				<table border="0" align="center">
					<tr>
						<td>
							<div class="caption">Schedule</div>
					   		<table class="listing">
								<tr>
									<td>Report name</td>
									<td>
										<input value="<%=name%>" name="name"></input>
									</td>
									<td>For management purposes, should be a unique name</td>
								</tr>

								<tr>
									<td>Cron expression</td>
									<td>
										<input value="<%=cron%>" name="cron"></input>
									</td>
									<td>Specifies when report will be fired and how it will repeat. 
									</td>
								</tr>

								<tr>
									<td>Enabled</td>
									<td align="center" valign="middle">
										<input name="enabled" type="checkbox" <%if(enabled){%>checked="checked"<%}%>/>
									</td>
									<td>When report disabled, it won't be fired but will stay in the list</td>
								</tr>
					   		</table>
						</td>
					</tr>

					<tr>
						<td>
					   		<br>
					   		<div class="caption">Query parameters</div>
					   		Query with this parameters will be executed when report is fired - <a href="/query">click here to modify</a>
					   		<table class="listing">
								<thead>
									<tr>
										<th>Time range</th>
										<th>Severity</th>
										<th>Thrown</th>
										<th>Domains</th>
										<th>Hosts</th>
										<th>Loggers</th>
										<th>Message</th>
									</tr>
								</thead>
									
								<tr>
									<td><%=sizeInHours%></td>
									<td><%=level%></td>
									<td><%=onlyThrown%></td>
									<td><%=matchDomains%></td>
									<td><%=matchHosts%></td>
									<td><%=matchLoggers%></td>
									<td><%=matchMessage%></td>
								</tr>
					   		</table>
						</td>
					</tr>

					<tr>
						<td>
						    <br>
					   		<div class="caption">Email delivery options</div>
					   		When report fires, the will email be sent according to these settings below.
					   		<table class="listing">
								<tr>
									<td>Mail to</td>
									<td>
										<input value="<%=mailTo%>" name="mailTo"></input>
									</td>
									<td>Mail priority</td>
									<td>
										<select name="mailPriority">
											<option<%if(mailPriority.equals("highest")){%> selected="selected"<%}%>>highest
											<option<%if(mailPriority.equals("high")){%> selected="selected"<%}%>>high
											<option<%if(mailPriority.equals("normal")){%> selected="selected"<%}%>>normal
											<option<%if(mailPriority.equals("low")){%> selected="selected"<%}%>>low
											<option<%if(mailPriority.equals("lowest")){%> selected="selected"<%}%>>lowest
										</select>
									</td>
								</tr>
			
								<tr>
									<td>Zip attachments<br>larger than (kB)</td>
									<td>
										<input value="<%=zipLimit%>" name="zipLimit"></input>
									</td>
									<td>Log file<br>format layout</td>
									<td colspan="3">
										<input value="<%=layoutFormat%>" name="layoutFormat" size="50"></input>
									</td>
								</tr>

					   		</table>
					   		
						</td>
					</tr>
				</table>
				
				<br>
				<div align="center">
					<input type="submit" value="Save changes"/>
					<input type="reset" value="Undo changes">
					<input type="button" value="Cancel" onclick="window.location = '/notificationsTab' " />  
				</div>
				
				</form>	    

		</div> <!--end main DIV -->
	</div> <!--end content DIV -->

<%@ include file="footer.jsp" %>