<%@ include file="header.jsp" %>
<%@ page import="java.util.*" %>

<%
	Map params = (Map)request.getAttribute("params");
	String progressInfo = (String)params.get("progressInfo");
	String returnView = (String)params.get("returnView");
	String downloadLink = (String)params.get("downloadLink");
	boolean error = (Boolean)params.get("failed");
	String title = error?"FAILURE":"SUCCESS"; 
	String icon = "../images/ok.gif";
	if(error)
		icon = "../images/failed.gif";
%>

	<ul id="menu">
		<li><%=title%></li>
	</ul>

	<div id="content">		
		<div id="main">

			<table>
				<tr>
					<td><img src="<%=icon%>"></td>
					<td>
						<%=progressInfo%><br>
					</td>
				</tr>
				<tr>
					<td><br><a href="<%=returnView%>">Continue</a>
					</td>
				</tr>
				<%if(downloadLink != null){%>
				<tr>
					<td><br><a href="<%=downloadLink%>">Download</a>
					</td>
				</tr>
				<%}%>
			</table>

		</div> <!--end main DIV -->
	</div> <!--end content DIV -->

<%@ include file="footer.jsp" %>