CREATE TABLE lfs_log (event_id INT8 NOT NULL, loggerTimeStamp INT8, loggerName VARCHAR(255), hostName VARCHAR(48), domainName VARCHAR(48), loggerLevel INT4, ndc VARCHAR(128), thrown BOOL, message VARCHAR(4000), mdc1 VARCHAR(100),mdc2 VARCHAR(100),mdc3 VARCHAR(100),mdc4 VARCHAR(100),mdc5 VARCHAR(100), locLineNumber VARCHAR(16), locFileName VARCHAR(48), locClassName VARCHAR(128), locMethodName VARCHAR(64), sequenceNumber INT8, threadName VARCHAR(128), throwableInfo VARCHAR(64000), PRIMARY KEY (event_id));
CREATE TABLE lfs_repo (db_id INT8 NOT NULL, domainName VARCHAR(80), hostName VARCHAR(100), loggerName VARCHAR(150), PRIMARY KEY (db_id));
CREATE sequence lfs_seq;
CREATE INDEX lfsa1 ON lfs_log (loggerTimeStamp, loggerLevel, thrown, domainName, loggerName, hostName)
CREATE INDEX lfsd1 ON lfs_log (loggerTimeStamp DESC, loggerLevel, thrown, domainName, loggerName, hostName)