DROP TABLE lfs_log
DROP TABLE lfs_repo
DROP TABLE hibernate_unique_key
CREATE TABLE lfs_log (EVENT_ID BIGINT NOT NULL, loggerTimeStamp BIGINT, loggerName VARCHAR(255), hostName VARCHAR(48), domainName VARCHAR(48), loggerLevel INTEGER, ndc VARCHAR(128), thrown SMALLINT, message VARCHAR(4000), mdc1 VARCHAR(100),mdc2 VARCHAR(100),mdc3 VARCHAR(100),mdc4 VARCHAR(100),mdc5 VARCHAR(100), locLineNumber VARCHAR(16), locFileName VARCHAR(48), locClassName VARCHAR(128), locMethodName VARCHAR(64), sequenceNumber BIGINT, threadName VARCHAR(128), throwableInfo VARCHAR(8000), PRIMARY KEY (EVENT_ID))
CREATE TABLE lfs_repo (DB_ID BIGINT NOT NULL, domainName VARCHAR(80), hostName VARCHAR(100), loggerName VARCHAR(150), PRIMARY KEY (DB_ID))
CREATE TABLE hibernate_unique_key ( next_hi INTEGER )
INSERT INTO  hibernate_unique_key VALUES ( 0 )
CREATE INDEX lfsa1 ON lfs_log (loggerTimeStamp, loggerLevel, thrown, domainName, loggerName, hostName)
CREATE INDEX lfsd1 ON lfs_log (loggerTimeStamp DESC, loggerLevel, thrown, domainName, loggerName, hostName)